Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.resource
Class StaticResource

    java.lang.Object
      org.ajax4jsf.resource.InternetResourceBase
          org.ajax4jsf.resource.StaticResource

All Implemented Interfaces:
  org.ajax4jsf.resource.InternetResource

    public class StaticResource

extends InternetResourceBase

Version:
  $Revision: 1.1.2.2 $ $Date: 2007/01/11 16:52:14 $
Author:
  asmirnov@exadel.com (latest modification by $Author: nick_belaevski $)

Field Summary

Fields inherited from interface org.ajax4jsf.resource.InternetResource
`CODEC_ATTR, DATA_SEPARATOR, DEFAULT_EXPIRE, DEFAULT_EXPITE_PARAMETER, DEFAULT_TTL, ENCODE_PASS_PARAMETER, ENCODE_URI_PARAMETER, RESOURCE_PROTOCOL, RESOURCE_URI_PREFIX, RESOURCE_URI_PREFIX_LENGTH`

Constructor Summary
`StaticResource()`
`StaticResource(java.lang.String path)`

Method Summary
`java.lang.String` | `getPath()`
`java.io.InputStream` | `getResourceAsStream(org.ajax4jsf.resource.ResourceContext context)`
`java.lang.String` | `getUri(javax.faces.context.FacesContext context, java.lang.Object data)`
`boolean` | `isCacheable(org.ajax4jsf.resource.ResourceContext resourceContext)`
`void` | `setPath(java.lang.String path)`

Methods inherited from class org.ajax4jsf.resource.InternetResourceBase
`deserializeData, encode, encode, encodeBegin, encodeEnd, getContentLength, getContentType, getDataToStore, getExpired, getKey, getLastModified, getProperty, getRenderer, isSessionAware, requireFacesContext, restoreData, send, sendHeaders, setCacheable, setContentLength, setExpired, setKey, setLastModified, setProperty, setRenderer, setSessionAware`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StaticResource

    public StaticResource()

### StaticResource

    public StaticResource(java.lang.String path)

Method Detail

### getResourceAsStream

    public java.io.InputStream getResourceAsStream(org.ajax4jsf.resource.ResourceContext context)

  Specified by:
    `getResourceAsStream` in interface `org.ajax4jsf.resource.InternetResource`
  Overrides:
    `getResourceAsStream` in class `InternetResourceBase`

### isCacheable

    public boolean isCacheable(org.ajax4jsf.resource.ResourceContext resourceContext)

  Specified by:
    `isCacheable` in interface `org.ajax4jsf.resource.InternetResource`
  Overrides:
    `isCacheable` in class `InternetResourceBase`

### getUri

    public java.lang.String getUri(javax.faces.context.FacesContext context,
                                   java.lang.Object data)

  Specified by:
    `getUri` in interface `org.ajax4jsf.resource.InternetResource`
  Overrides:
    `getUri` in class `InternetResourceBase`

### getPath

    public java.lang.String getPath()

  Returns:
    the path

### setPath

    public void setPath(java.lang.String path)

  Parameters:
    `path` - the path to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.